Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Macros | Functions | Variables
H5FDpkg.h File Reference
`#include "H5FDprivate.h"`

## Macros
#define | H5FD_ADDR_OVERFLOW(A)
#define | H5FD_MAXADDR (((haddr_t)1 << (8 * sizeof(HDoff_t) - 1)) - 1)
#define | H5FD_REGION_OVERFLOW(A, Z)
#define | H5FD_SIZE_OVERFLOW(Z)

## Functions
haddr_t | H5FD__alloc_real (H5FD_t *file, H5FD_mem_t type, hsize_t size, haddr_t *align_addr, hsize_t *align_size)
herr_t | H5FD__core_register (void)
herr_t | H5FD__core_unregister (void)
herr_t | H5FD__direct_register (void)
herr_t | H5FD__direct_unregister (void)
herr_t | H5FD__family_register (void)
herr_t | H5FD__family_unregister (void)
herr_t | H5FD__free_real (H5FD_t *file, H5FD_mem_t type, haddr_t addr, hsize_t size)
herr_t | H5FD__hdfs_register (void)
herr_t | H5FD__hdfs_unregister (void)
herr_t | H5FD__ioc_register (void)
herr_t | H5FD__ioc_unregister (void)
herr_t | H5FD__log_register (void)
herr_t | H5FD__log_unregister (void)
herr_t | H5FD__mirror_register (void)
herr_t | H5FD__mirror_unregister (void)
herr_t | H5FD__mpio_register (void)
herr_t | H5FD__mpio_unregister (void)
herr_t | H5FD__multi_register (void)
herr_t | H5FD__multi_unregister (void)
herr_t | H5FD__onion_register (void)
herr_t | H5FD__onion_unregister (void)
herr_t | H5FD__ros3_register (void)
herr_t | H5FD__ros3_unregister (void)
herr_t | H5FD__sec2_register (void)
herr_t | H5FD__sec2_unregister (void)
herr_t | H5FD__splitter_register (void)
herr_t | H5FD__splitter_unregister (void)
herr_t | H5FD__stdio_register (void)
herr_t | H5FD__stdio_unregister (void)
herr_t | H5FD__subfiling_register (void)
herr_t | H5FD__subfiling_unregister (void)

## Variables
htri_t | H5FD_ignore_disabled_file_locks_p

## Macro Definition Documentation

## ◆ H5FD_ADDR_OVERFLOW

#define H5FD_ADDR_OVERFLOW | ( |  | A | ) |

Value:
(HADDR_UNDEF == (A) || ((A) & ~(haddr_t)H5FD_MAXADDR))
H5FD_MAXADDR
#define H5FD_MAXADDR
Definition H5FDpkg.h:51
HADDR_UNDEF
#define HADDR_UNDEF
Definition H5public.h:367
haddr_t
uint64_t haddr_t
Definition H5public.h:355

## ◆ H5FD_MAXADDR

#define H5FD_MAXADDR (((haddr_t)1 << (8 * sizeof(HDoff_t) - 1)) - 1)

## ◆ H5FD_REGION_OVERFLOW

#define H5FD_REGION_OVERFLOW | ( |  | A,
|  |  | Z )

Value:
(H5FD_ADDR_OVERFLOW(A) || H5FD_SIZE_OVERFLOW(Z) || HADDR_UNDEF == (A) + (Z) || \
(HDoff_t)((A) + (Z)) < (HDoff_t)(A))
H5FD_SIZE_OVERFLOW
#define H5FD_SIZE_OVERFLOW(Z)
Definition H5FDpkg.h:53
H5FD_ADDR_OVERFLOW
#define H5FD_ADDR_OVERFLOW(A)
Definition H5FDpkg.h:52
HDoff_t
off_t HDoff_t
Definition H5public.h:319

## ◆ H5FD_SIZE_OVERFLOW

#define H5FD_SIZE_OVERFLOW | ( |  | Z | ) |

Value:
((Z) & ~(hsize_t)H5FD_MAXADDR)
hsize_t
uint64_t hsize_t
Definition H5public.h:304

## Function Documentation

## ◆ H5FD__alloc_real()

haddr_t H5FD__alloc_real | ( | H5FD_t * | file,
|  | H5FD_mem_t | type,
|  | hsize_t | size,
|  | haddr_t * | align_addr,
|  | hsize_t * | align_size )

## ◆ H5FD__core_register()

herr_t H5FD__core_register | ( | void |  | ) |

## ◆ H5FD__core_unregister()

herr_t H5FD__core_unregister | ( | void |  | ) |

## ◆ H5FD__direct_register()

herr_t H5FD__direct_register | ( | void |  | ) |

## ◆ H5FD__direct_unregister()

herr_t H5FD__direct_unregister | ( | void |  | ) |

## ◆ H5FD__family_register()

herr_t H5FD__family_register | ( | void |  | ) |

## ◆ H5FD__family_unregister()

herr_t H5FD__family_unregister | ( | void |  | ) |

## ◆ H5FD__free_real()

herr_t H5FD__free_real | ( | H5FD_t * | file,
|  | H5FD_mem_t | type,
|  | haddr_t | addr,
|  | hsize_t | size )

## ◆ H5FD__hdfs_register()

herr_t H5FD__hdfs_register | ( | void |  | ) |

## ◆ H5FD__hdfs_unregister()

herr_t H5FD__hdfs_unregister | ( | void |  | ) |

## ◆ H5FD__ioc_register()

herr_t H5FD__ioc_register | ( | void |  | ) |

## ◆ H5FD__ioc_unregister()

herr_t H5FD__ioc_unregister | ( | void |  | ) |

## ◆ H5FD__log_register()

herr_t H5FD__log_register | ( | void |  | ) |

## ◆ H5FD__log_unregister()

herr_t H5FD__log_unregister | ( | void |  | ) |

## ◆ H5FD__mirror_register()

herr_t H5FD__mirror_register | ( | void |  | ) |

## ◆ H5FD__mirror_unregister()

herr_t H5FD__mirror_unregister | ( | void |  | ) |

## ◆ H5FD__mpio_register()

herr_t H5FD__mpio_register | ( | void |  | ) |

## ◆ H5FD__mpio_unregister()

herr_t H5FD__mpio_unregister | ( | void |  | ) |

## ◆ H5FD__multi_register()

herr_t H5FD__multi_register | ( | void |  | ) |

## ◆ H5FD__multi_unregister()

herr_t H5FD__multi_unregister | ( | void |  | ) |

## ◆ H5FD__onion_register()

herr_t H5FD__onion_register | ( | void |  | ) |

## ◆ H5FD__onion_unregister()

herr_t H5FD__onion_unregister | ( | void |  | ) |

## ◆ H5FD__ros3_register()

herr_t H5FD__ros3_register | ( | void |  | ) |

## ◆ H5FD__ros3_unregister()

herr_t H5FD__ros3_unregister | ( | void |  | ) |

## ◆ H5FD__sec2_register()

herr_t H5FD__sec2_register | ( | void |  | ) |

## ◆ H5FD__sec2_unregister()

herr_t H5FD__sec2_unregister | ( | void |  | ) |

## ◆ H5FD__splitter_register()

herr_t H5FD__splitter_register | ( | void |  | ) |

## ◆ H5FD__splitter_unregister()

herr_t H5FD__splitter_unregister | ( | void |  | ) |

## ◆ H5FD__stdio_register()

herr_t H5FD__stdio_register | ( | void |  | ) |

## ◆ H5FD__stdio_unregister()

herr_t H5FD__stdio_unregister | ( | void |  | ) |

## ◆ H5FD__subfiling_register()

herr_t H5FD__subfiling_register | ( | void |  | ) |

## ◆ H5FD__subfiling_unregister()

herr_t H5FD__subfiling_unregister | ( | void |  | ) |

## Variable Documentation

## ◆ H5FD_ignore_disabled_file_locks_p

htri_t H5FD_ignore_disabled_file_locks_p
| extern